Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.lang
Class FunctionMapperImpl

    java.lang.Object
      javax.el.FunctionMapper
          com.sun.el.lang.FunctionMapperImpl

All Implemented Interfaces:
  Externalizable, Serializable

    public class FunctionMapperImpl

extends FunctionMapper
implements Externalizable

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  Serialized Form

Nested Class Summary
`static class` | `FunctionMapperImpl.Function`

Field Summary
`protected Map` | `functions`

Constructor Summary
`FunctionMapperImpl()`

Method Summary
`void` | `addFunction(String prefix, String localName, Method m)`
`void` | `readExternal(ObjectInput in)`
`Method` | `resolveFunction(String prefix, String localName)` Resolves the specified prefix and local name into a `java.lang.Method`.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### functions

    protected Map functions

Constructor Detail

### FunctionMapperImpl

    public FunctionMapperImpl()

Method Detail

### resolveFunction

    public Method resolveFunction(String prefix,
                                  String localName)

  Description copied from class: `FunctionMapper`
  Resolves the specified prefix and local name into a `java.lang.Method`.

  Returns `null` if no function could be found that matches the given prefix and local name.

  Specified by:
    `resolveFunction` in class `FunctionMapper`
  Parameters:
    `prefix` - the prefix of the function, or "" if no prefix. For example, `"fn"` in `${fn:method()}`, or `""` in `${method()}`.
    `localName` - the short name of the function. For example, `"method"` in `${fn:method()}`.
  Returns:
    the static method to invoke, or `null` if no match was found.

### addFunction

    public void addFunction(String prefix,
                            String localName,
                            Method m)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.